Bug 1623488 - ip-rule report output is adding a space between the network address and the netmast
Summary: ip-rule report output is adding a space between the network address and the n...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: iproute
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Phil Sutter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-29 13:30 UTC by Edward Haas
Modified: 2018-09-21 05:25 UTC (History)
4 users (show)

Fixed In Version: iproute-4.17.0-3.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1623503 (view as bug list)
Environment:
Last Closed: 2018-09-06 03:10:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Edward Haas 2018-08-29 13:30:08 UTC
Description of problem:
The "ip rule" command outputs all rules. The rules which include the network address with its netmaks now have an improper space between the address and the netmask.
Example: 32765:	from all to 192.168.99.0 /29 iif dummy_BSvVI [detached] lookup 3232260865

Version-Release number of selected component (if applicable):
iproute.x86_64 with version 4.17.0-2.fc28
Kernel: 4.17.18-200.fc28.x86_64

How reproducible:
100%

Steps to Reproduce:
- Add the rule: ip rule add from all to 192.168.99.0/29 iif dummy_BSvVI lookup 3232260865
- List all rules: ip rule
  Problematic output: 32765:	from all to 192.168.99.0 /29 iif dummy_BSvVI [detached] lookup 3232260865


Actual results:
Space between the address and the mask.

Expected results:
No space should exists

Additional info:
oVirt VDSM component is affected by this issue, as it currently uses iproute2 for controlling the ip routes and rules.

Comment 1 Phil Sutter 2018-08-29 13:56:24 UTC
Fix sent upstream: https://marc.info/?l=linux-netdev&m=153555079131596&w=2

Comment 2 Phil Sutter 2018-08-31 09:20:23 UTC
Upstream commit to backport:

commit 1a75322c5a8dee6e1ed0017d76c87ef85c505b98
Author: Stefan Bader <stefan.bader@canonical.com>
Date:   Tue Aug 28 16:27:29 2018 +0200

    iprule: Fix destination prefix output
    
    When adding support for JSON output the new code for printing
    the destination prefix adds a stray blank character before
    the bitmask. This causes some user-space parsing to fail.
    
    Current output:
      ...: from x.x.x.x/l to y.y.y.y /l
    Previous output:
      ...: from x.x.x.x/l to y.y.y.y/l
    
    Fixes: 0dd4ccc5 "iprule: add json support"
    Signed-off-by: Stefan Bader <stefan.bader@canonical.com>
    Acked-by: Luca Boccassi <bluca@debian.org>
    Signed-off-by: Stephen Hemminger <stephen@networkplumber.org>

Comment 3 Fedora Update System 2018-08-31 10:23:14 UTC
iproute-4.18.0-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c608864ba9

Comment 4 Fedora Update System 2018-08-31 10:47:58 UTC
iproute-4.17.0-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b5ca07f212

Comment 5 Fedora Update System 2018-08-31 16:23:06 UTC
iproute-4.18.0-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c608864ba9

Comment 6 Fedora Update System 2018-08-31 22:27:43 UTC
iproute-4.17.0-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b5ca07f212

Comment 7 Fedora Update System 2018-09-06 03:10:59 UTC
iproute-4.17.0-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-09-21 05:25:05 UTC
iproute-4.18.0-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.